import Vue from 'vue'
import VueRouter from 'vue-router'
import Index from '../views/Index.vue'

Vue.use(VueRouter)

const routes = [{
		path: '/',
		name: 'home',
		redirect: '/index'
	},
	{
		path: '/index',
		name: 'index',
		component: Index
	},
	{
		path: '/about',
		name: 'About',
		component: () => import('../views/About.vue')
	},
	{
		path: '/point',
		name: 'point',
		component: () => import('../views/point.vue')
	},
	{
		path: '/FanStatusQueryExport',
		name: 'FanStatusQueryExport',
		component: () => import('../views/FanStatusQueryExport/FanStatusQueryExport.vue')
	},
	{
		path: '/gradeEvaluation',
		name: 'gradeEvaluation',
		component: () => import('../views/gradeEvaluation/GradeEvaluation.vue')
	}
	,
	{
		path: '/performanceList_fan',
		name: 'performanceList_fan',
		component: () => import('../views/Performance/PerformanceList.vue')
	}
	,
	{
		path: '/new_performanceList_fan',
		name: 'new_performanceList_fan',
		component: () => import('../views/Performance/NewPerformanceList.vue')
	}
	,
	{
		path: '/benchmark_Venue',
		name: 'benchmark_Venue',
		component: () => import('../views/BorderBenchmark/YardBenchmark.vue')
	}
	,
	{
		path: '/benchmark_International',
		name: 'benchmark_International',
		component: () => import('../views/BorderBenchmark/InternationalBenchmark.vue')
	}
	,
	{
		path: '/fiveLossRates',
		name: 'fiveLossRates',
		component: () => import('../views/benchMarking/FiveLossRates.vue')
	}
	,
	{
		path: '/fiveLossLineTable',
		name: 'fiveLossLineTable',
		component: () => import('../views/benchMarking/FiveLossLineTable.vue')
	}
	,
	{
		path: '/YardBenchmark_particulars',
		name: 'YardBenchmark_particulars',
		component: () => import('../views/BorderBenchmark/YardBenchmark_particulars.vue')
	}
	,
	{
		path: '/NationBenchmark_particulars',
		name: 'NationBenchmark_particulars',
		component: () => import('../views/BorderBenchmark/InnationBenchmark_particulars.vue')
	}
	,
	{
		path: '/benchmark_project',
		name: 'benchmark_project',
		component: () => import('../views/ProjectBenchmark/ProjectBenchmark.vue')
	}
	,
	{
		path: '/benchmark_project_particulars',
		name: 'benchmark_project_particulars',
		component: () => import('../views/ProjectBenchmark/ProjectBenchmark_particulars.vue')
	}
	,
	{
		path: '/benchmark_property',
		name: 'benchmark_property',
		component: () => import('../views/PropertyBenchnark/PropertBenchmark.vue')
	}
	,
	{
		path: '/benchmark_property_particulars',
		name: 'benchmark_property_particulars',
		component: () => import('../views/PropertyBenchnark/PropertBenchmark_particulars.vue')
	}
	,
	{
		path: '/benchmark_SingleTransverse',
		name: 'benchmark_SingleTransverse',
		component: () => import('../views/PropertyBenchnark/SingleTransverseBenchmark.vue')
	}
	,
	{
		path: '/GoodnessRank',
		name: 'GoodnessRank',
		component: () => import('../views/NormRanking/GoodnessfitRank.vue')
	}
	,
	{
		path: '/GrossgenerationRank',
		name: 'GrossgenerationRank',
		component: () => import('../views/NormRanking/Grossgeneration_Rank.vue')
	}
	,
	{
		path: '/PercentageLossr_Rank',
		name: 'PercentageLossr_Rank',
		component: () => import('../views/NormRanking/PercentageLossrRank.vue')
	}	
	,
	{
		path: '/power_Editor',
		name: 'power_Editor',
		component: () => import('../views/SinglePerformanceAnalysis/powerEditor.vue')
	}
	,
	{
		path: '/individual_Pandectinformation',
		name: 'individual_Pandectinformation',
		component: () => import('../views/SinglePerformanceAnalysis/individualPandectinformation.vue')
	}
	,
	{
		path: '/indicia',
		component: () => import('../views/SinglePerformanceAnalysis/individualPandectinformationdetails.vue')
	}
	,
	{
		path: '/history_date',
		component: () => import('../views/SinglePerformanceAnalysis/individualHistoryinformation.vue')
	}
	,
	{
		path: '/PowerandWindspeed_Chart',
		component: () => import('../views/SinglePerformanceAnalysis/PowerandWindspeedChart.vue')
	}
	,
	{
		path: '/Power_Chart',
		component: () => import('../views/SinglePerformanceAnalysis/PowerChart.vue')
	}
	,
	{
		path: '/lossRateAbandoned',
		name: 'lossRateAbandoned',
		component: () => import('../views/benchMarking/LossRateAbandoned.vue')
	}
	,
	{
		path: '/lossRateAffected',
		name: 'lossRateAffected',
		component: () => import('../views/benchMarking/LossRateAffected.vue')
	}
	,
	{
		path: '/lossRateFailure',
		name: 'lossRateFailure',
		component: () => import('../views/benchMarking/LossRateFailure.vue')
	}
	,
	{
		path: '/lossRateMaintenance',
		name: 'lossRateMaintenance',
		component: () => import('../views/benchMarking/LossRateMaintenance.vue')
	}
	,
	{
		path: '/lossRatePerformance',
		name: 'lossRatePerformance',
		component: () => import('../views/benchMarking/LossRatePerformance.vue')
	}
	,
	{
		path: '/rankingLoadRate',
		name: 'rankingLoadRate',
		component: () => import('../views/rankingIndex/RankingLoadRate.vue')
	}
	,
	{
		path: '/rankingCurveDeviationRate',
		name: 'rankingCurveDeviationRate',
		component: () => import('../views/rankingIndex/RankingCurveDeviationRate.vue')
	}
	,
	{
		path: '/rankingCallThePolice',
		name: 'rankingCallThePolice',
		component: () => import('../views/rankingIndex/RankingCallThePolice.vue')
	}
	,
	{
		path: '/rankingUtilization',
		name: 'rankingUtilization',
		component: () => import('../views/rankingIndex/RankingUtilization.vue')
	}
	,
	{
		path: '/singleMachinePower',
		name: 'singleMachinePower',
		component: () => import('../views/rankingIndex/SingleMachinePower.vue')
	}
	,
	{
		path: '/plannedGeneration',
		name: 'plannedGeneration',
		component: () => import('../views/rankingIndex/PlannedGeneration.vue')
	}
	,
	{
		path: '/cutAndSpeed',
		name: 'cutAndSpeed',
		component: () => import('../views/rankingIndex/CutAndSpeed.vue')
	}
	,
	{
		path: '/cutAndSpeedHistory',
		name: 'cutAndSpeedHistory',
		component: () => import('../views/rankingIndex/CutAndSpeedHistory.vue')
	}
	,
	{
		path: '/performanceAnalysis',
		name: 'performanceAnalysis',
		component: () => import('../views/gradeEvaluation/PerformanceAnalysis.vue')
	}
	,
	{
		path: '/performanceAnalysisOperation',
		name: 'performanceAnalysisOperation',
		component: () => import('../views/gradeEvaluation/PerformanceAnalysisOperation.vue')
	}
	,
	{
		path: '/interValue',
		name: 'interValue',
		component: () => import('../views/betweenValues/InterValue.vue')
	}
	,
	{
		path: '/interValueLineTable',
		name: 'interValueLineTable',
		component: () => import('../views/betweenValues/InterValueLineTable.vue')
	}
	,
	
]

const router = new VueRouter({
	mode: 'hash',
	base: process.env.BASE_URL,
	routes
})

export default router
